Bug 31943 - drm EDID checking is too strict
Summary: drm EDID checking is too strict
Status: NEW
Alias: None
Product: DRI
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: high critical
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords: regression
: 36873 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-11-26 16:22 UTC by Noel Ferreira
Modified: 2011-11-03 02:22 UTC (History)
7 users (show)

See Also:
i915 platform:
i915 features:


Attachments
this borken checksumed edid in the viewsonic dat format (737 bytes, text/plain)
2010-11-26 17:34 UTC, Alban Browaeys
no flags Details
Fixed version of this edid (checksum) changed (5.47 KB, text/plain)
2010-11-26 17:36 UTC, Alban Browaeys
no flags Details
Fix the version in the edid (v2.3 makes no sense) checksum is correct with v1.3 (1.19 KB, patch)
2010-12-03 20:06 UTC, Alban Browaeys
no flags Details | Splinter Review
add edid strict option (3.95 KB, patch)
2011-01-04 15:04 UTC, Alex Deucher
no flags Details | Splinter Review
linux 2.6.37 kernel log with monitor staying turned off (165.67 KB, text/plain)
2011-01-08 09:37 UTC, Markus Heinz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Noel Ferreira 2010-11-26 16:22:23 UTC
Hi.

Im using ubuntu 10.10 with kernel 2.6.35-23-generic and i have this card ATI RADEON HD4350 and HDMI second monitor LCD TV LG (32LG2000).
The problem is that i can't get a valid EDID. I used to have this monitor conected with HDMI to a nvidia card and everything worked.

Here's my debug:

-------------------------------------------------------------------------------

[ 137.375527] [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 1
[ 137.375529] [drm:drm_edid_block_valid] *ERROR* Raw EDID:
[ 137.375532] <3>00 ff ff ff ff ff ff 00 1e 6d f0 75 01 01 01 01 .........m.u....
[ 137.375535] <3>02 13 02 03 80 46 27 78 ea d9 b0 a3 57 49 9c 25 .....F'x....WI.%
[ 137.375538] <3>11 49 4b a5 6e 00 31 40 45 40 61 40 81 80 d1 c0 .IK.n.1@E@a@....
[ 137.375540] <3>01 01 01 01 01 01 1b 21 50 a0 51 00 1e 30 48 88 .......!P.Q..0H.
[ 137.375543] <3>35 00 bc 86 21 00 00 1c 02 3a 80 18 71 38 2d 40 5...!....:..q8-@
[ 137.375545] <3>58 2c 45 00 c4 8e 21 00 00 1e 00 00 00 fc 00 33 X,E...!........3
[ 137.375548] <3>32 4c 47 32 30 30 30 20 20 20 20 20 00 00 00 fd 2LG2000 ....
[ 137.375551] <3>00 32 4b 1c 43 0f 00 0a 20 20 20 20 20 20 01 9a .2K.C... ..
[ 137.375552]
[ 137.375556] radeon 0000:02:00.0: HDMI Type A-1: EDID block 0 invalid.
[ 137.375560] [drm:radeon_dvi_detect] *ERROR* HDMI Type A-1: probed a monitor but no|invalid EDID

--------------------------------------------------------------------------------

Please let me know if you can find a solution for me.

Thanks in advance.

noel
Comment 1 Alban Browaeys 2010-11-26 17:34:41 UTC
Created attachment 40594 [details]
this borken checksumed edid in the viewsonic dat format
Comment 2 Alban Browaeys 2010-11-26 17:36:32 UTC
Created attachment 40595 [details]
Fixed version of this edid (checksum) changed

Using viewsonic free tool via wine showed this was a bad checksum ie 9A instead of 99 .
Comment 3 Alex Deucher 2010-11-29 07:08:39 UTC
The core KMS code needs to not be so strict in rejecting EDIDs with bad checksums.  I think this may be fixed in this commit:
http://git.kernel.org/?p=linux/kernel/git/airlied/drm-2.6.git;a=commitdiff;h=4a638b4e38234233f5c7e6705662fbc0b58d80c2
If not, we probably need something similar for the primary EDID block.
Comment 4 Alex Deucher 2010-11-29 07:09:22 UTC
This isn't really specific to radeon.  It's a general issue with the common EDID code in the drm.
Comment 5 Alban Browaeys 2010-12-03 20:06:47 UTC
Created attachment 40792 [details] [review]
Fix the version in the edid (v2.3 makes no sense) checksum is correct with v1.3

This patch is not good for upstream , ie if we had this fix why not add  the hundreds of other one for each broken edid kind.
Still it showcase the issue of this bug report.
First discarding the checksum would not help as here the reported incorrect version is 2 and we only support 1 (thus the valid check would still fail).
The checksum is in fact correct if one replace this v2.3 by v1.3. It looks like the version was mangled a posteriori.

One option is to completely discard the validity check via an option for the drm module . Still it would move the issue to other layers if those expect a valid edid or do a check of validity (they would also require a bypass option).

Another option is to load valid edid (from disk or initramfs,) like we do for firmwares. One of the main issue of this approach is how to identify if and which edid to load : phase out an id for the monitor or one for the invalid edid (the latter via sum).
There are gaps to fill for this option though : will distro need to ship hundreds of fixed edid in initramfs and such.
Comment 6 Alex Deucher 2011-01-04 15:04:38 UTC
Created attachment 41654 [details] [review]
add edid strict option

The drm EDID checker is pretty strict about what EDIDs it will accept.  Try this patch and add drm.edid_strict=0 to your kernel command line.
Comment 7 Markus Heinz 2011-01-08 09:33:47 UTC
I'm using Crux Linux 2.7 (32bit) with a vanilla kernel 2.6.37 from kernel.org. I have an Intel G33 onboard graphics chipset and an Asus VW222U monitor attached via DVI. When the kernel starts the monitor is turned off as it does not get a signal from the computer. The X Server started later on does not activate the monitor either.  When I boot my old 2.6.36 vanilla kernel everything works as expected. I have lots of lines like these in the kernel log file when using 2.6.37:

[drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 96

I have tried the patch from comment #6 to no avail. The monitor stayed turned off.

It would be nice If I could update to a newer kernel version soon.
Comment 8 Markus Heinz 2011-01-08 09:37:09 UTC
Created attachment 41775 [details]
linux 2.6.37 kernel log with monitor staying turned off

I have attached the complete kernel log when booting an unmodified 2.6.37 Linux kernel with the monitor being turned off during boot.
Comment 9 Thomas Drillich 2011-01-10 11:16:29 UTC
Hi,

patch of comment #6 helped me, when using kernel 2.6.37.
Before patch monitor at hdmi port stays black,
cause of:
 [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 254

But is that patch the solution for the bug ?

gpu: ATI RS880 [Radeon HD 4200] rev 0 (ChipID = 0x9710)
Monitor:
VGA: Philips 180P2
(II) RADEON(0): EDID (in hex):
(II) RADEON(0): 	00ffffffffffff00410c080835110000
(II) RADEON(0): 	1f0c01030f241d78ea0925a2574b9724
(II) RADEON(0): 	185054bfef80314f454f614f81800101
(II) RADEON(0): 	010101010101302a009851002a403070
(II) RADEON(0): 	1300671f1100001e000000ff00204844
(II) RADEON(0): 	20203030343430350a20000000fc0050
(II) RADEON(0): 	68696c697073203138305032000000fd
(II) RADEON(0): 	00384c1e520e000a202020202020006e

HDMI: iiyama PLB2403WS
(II) RADEON(0): EDID (in hex):
(II) RADEON(0): 	7f7f7f7f7f7f7f7f26cd0156fdc40000
(II) RADEON(0): 	3111010380342178ea5ad5a7564b9b24
(II) RADEON(0): 	135054bdef80714f81908180818ca940
(II) RADEON(0): 	b300950f9500283c80a070b023403020
(II) RADEON(0): 	360007442100001a000000ff00303537
(II) RADEON(0): 	34323730313130303031000000fd0038
(II) RADEON(0): 	4c1e5311000a202020202020000000fc
(II) RADEON(0): 	00504c423234303357530a202020018e
Comment 10 Markus Heinz 2011-02-05 09:39:36 UTC
I have tried linux-2.6.38-rc3. The problem persists. It cannot be that I am stuck with linux-2.6.36 for all time because no one fixes this problem!
Comment 11 Joe Sislow 2011-04-08 08:25:08 UTC
I've got the problem as well.  I've got an older Hanns G JC199D, and apparently nouveau doesn't like its checksum either.

[   83.297263] [drm:drm_edid_block_valid] *ERROR* EDID checksum is invalid, remainder is 180
[   83.297276] [drm:drm_edid_block_valid] *ERROR* Raw EDID:
[   83.297286] <3>00 ff ff ff ff ff ff 00 22 64 c6 04 c9 15 00 00  ........"d......
[   83.297290] <3>10 10 01 03 81 26 1e 78 2a fd 56 a5 53 4a 9d 24  .....&.x*.V.SJ.$
[   83.297294] <3>14 4f 54 bf ef 80 81 80 71 4f 81 40 01 01 01 01  .OT.....qO.@....
[   83.297297] <3>01 01 01 01 01 01 30 2a 00 98 51 00 2a 40 30 70  ......0*..Q.*@0p
[   83.297300] <3>13 00 78 2d 11 00 00 1e 00 00 00 ff 00 36 31 36  ..x-.........616
[   83.297303] <3>47 4a 33 30 4a 41 35 35 37 37 00 00 00 fd 00 32  GJ30JA5577.....2
[   83.297306] <3>4c 1e 53 0e 00 0a 20 20 20 20 20 20 00 00 00 fc  L.S...      ....
[   83.297309] <3>00 4a 43 31 39 39 44 0a fd fe 41 01 a1 fd fd fd  .JC199D...A.....

Basically, what I'd like to suggest is that the driver uses whatever old standard resolution that the VESA drivers use.  Because right now, the driver is crippling systems by choosing a resolution that is out of range for some monitors, and there's no way to get the display back.  In the current Fedora build, even if all graphical booting is disabled, nouveau is still setting things out of range.

The way I've worked around this was to switch to the nvidia driver (at least it doesn't set a strange resolution when it starts up), manually create an EDID.bin, fix the checksum, and tell xorg.conf to use that file instead of reading the EDID.

I don't understand the boot process now where X is starting earlier, and I'm not sure if the 
Option "CustomEDID" "DFP-0:/path/to/edid.bin
line would work for nouveau.  If it does, it's a possible intermediary fix for people.  It's not an easy one, as I had to manually correct the checksum.

Is this a version problem, btw?  What is so offensive about these older EDID versions that the drivers are crapping out on (other than the checksum)?  Could the code validate the other sections to at least *see* if the data is garbage before throwing the whole block out?
Comment 12 Alex Deucher 2011-04-08 09:05:29 UTC
(In reply to comment #11)
> I've got the problem as well.  I've got an older Hanns G JC199D, and apparently
> nouveau doesn't like its checksum either.

The edid parser is shared by all kms drm drivers.

> Is this a version problem, btw?  What is so offensive about these older EDID
> versions that the drivers are crapping out on (other than the checksum)?  Could
> the code validate the other sections to at least *see* if the data is garbage
> before throwing the whole block out?

Ideally, we implement some basic sanity checks to avoid reading past the end of an edid with a bad checksum.  Usually the checksum problems are something stupid like a vendor made a last minute change one of the fields or a tv/receiver mangles something when updating hdmi fields.  IMHO, it would be better to use the EDID than not.
Comment 13 Alex Deucher 2011-05-05 09:14:52 UTC
*** Bug 36873 has been marked as a duplicate of this bug. ***
Comment 14 Igor Strelnikoff 2011-05-09 01:58:31 UTC
RADEON 9800 PRO AGP

Monitor DVI: NEC LCD 225WNX

xrandr --verbose
Screen 0: minimum 320 x 200, current 1680 x 1050, maximum 4096 x 4096
VGA-0 disconnected (normal left inverted right x axis y axis)
        Identifier: 0x51
        Timestamp:  17179
        Subpixel:   no subpixels
        Clones:     DVI-0
        CRTCs:      0 1
        Transform:  1.000000 0.000000 0.000000
                    0.000000 1.000000 0.000000
                    0.000000 0.000000 1.000000
                   filter: 
        load detection: 1 (0x00000001)  range:  (0,1)
DVI-0 connected 1680x1050+0+0 (0x54) normal (normal left inverted right x axis
y axis) 433mm x 270mm
        Identifier: 0x52
        Timestamp:  17179
        Subpixel:   horizontal rgb
        Gamma:      1.0:1.0:1.0
        Brightness: 1.0
        Clones:     VGA-0
        CRTC:       0
        CRTCs:      0 1
        Transform:  1.000000 0.000000 0.000000
                    0.000000 1.000000 0.000000
                    0.000000 0.000000 1.000000
                   filter: 
        EDID:
                00ffffffffffff0038a32f6701010101
                1d120103802f1e78eaee95a3544c9926
                0f5054bfef8081c0814081808bc09500
                9040b300714f21399030621a274018b0
                3640b10e1100001c000000fd00384b1f
                5311000a202020202020000000fc004c
                4344323235574e580a202020000000ff
                00383732303231353459420a2020005f
        load detection: 1 (0x00000001)  range:  (0,1)
  1680x1050 (0x54)  146.2MHz -HSync +VSync *current +preferred
        h: width  1680 start 1960 end 2136 total 2240 skew    0 clock   65.3KHz
        v: height 1050 start 1053 end 1059 total 1089           clock   60.0Hz
  1400x1050 (0x55)  121.8MHz -HSync +VSync
        h: width  1400 start 1488 end 1632 total 1864 skew    0 clock   65.3KHz
        v: height 1050 start 1053 end 1057 total 1089           clock   60.0Hz
  1280x1024 (0x56)  135.0MHz +HSync +VSync
        h: width  1280 start 1296 end 1440 total 1688 skew    0 clock   80.0KHz
        v: height 1024 start 1025 end 1028 total 1066           clock   75.0Hz
  1280x1024 (0x57)  108.0MHz +HSync +VSync
        h: width  1280 start 1328 end 1440 total 1688 skew    0 clock   64.0KHz
        v: height 1024 start 1025 end 1028 total 1066           clock   60.0Hz
  1440x900 (0x58)  106.5MHz -HSync +VSync
        h: width  1440 start 1520 end 1672 total 1904 skew    0 clock   55.9KHz
        v: height  900 start  903 end  909 total  934           clock   59.9Hz
  1280x960 (0x59)  108.0MHz +HSync +VSync
        h: width  1280 start 1376 end 1488 total 1800 skew    0 clock   60.0KHz
        v: height  960 start  961 end  964 total 1000           clock   60.0Hz
  1360x768 (0x5a)   84.8MHz -HSync +VSync
        h: width  1366 start 1431 end 1567 total 1776 skew    0 clock   47.7KHz
        v: height  768 start  771 end  781 total  798           clock   59.8Hz
  1152x864 (0x5b)  108.0MHz +HSync +VSync
        h: width  1152 start 1216 end 1344 total 1600 skew    0 clock   67.5KHz
        v: height  864 start  865 end  868 total  900           clock   75.0Hz
  1280x720 (0x5c)   74.4MHz -HSync +VSync
        h: width  1280 start 1336 end 1472 total 1664 skew    0 clock   44.7KHz
        v: height  720 start  721 end  724 total  746           clock   60.0Hz
  1024x768 (0x5d)   78.8MHz +HSync +VSync
        h: width  1024 start 1040 end 1136 total 1312 skew    0 clock   60.1KHz
        v: height  768 start  769 end  772 total  800           clock   75.1Hz
  1024x768 (0x5e)   75.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1328 skew    0 clock   56.5KHz
        v: height  768 start  771 end  777 total  806           clock   70.1Hz
  1024x768 (0x5f)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  832x624 (0x60)   57.3MHz -HSync -VSync
        h: width   832 start  864 end  928 total 1152 skew    0 clock   49.7KHz
        v: height  624 start  625 end  628 total  667           clock   74.6Hz
  800x600 (0x61)   50.0MHz +HSync +VSync
        h: width   800 start  856 end  976 total 1040 skew    0 clock   48.1KHz
        v: height  600 start  637 end  643 total  666           clock   72.2Hz
  800x600 (0x62)   49.5MHz +HSync +VSync
        h: width   800 start  816 end  896 total 1056 skew    0 clock   46.9KHz
        v: height  600 start  601 end  604 total  625           clock   75.0Hz
  800x600 (0x63)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  800x600 (0x64)   36.0MHz +HSync +VSync
        h: width   800 start  824 end  896 total 1024 skew    0 clock   35.2KHz
        v: height  600 start  601 end  603 total  625           clock   56.2Hz
  640x480 (0x65)   31.5MHz -HSync -VSync
        h: width   640 start  664 end  704 total  832 skew    0 clock   37.9KHz
        v: height  480 start  489 end  491 total  520           clock   72.8Hz
  640x480 (0x66)   31.5MHz -HSync -VSync
        h: width   640 start  656 end  720 total  840 skew    0 clock   37.5KHz
        v: height  480 start  481 end  484 total  500           clock   75.0Hz
  640x480 (0x67)   30.2MHz -HSync -VSync
        h: width   640 start  704 end  768 total  864 skew    0 clock   35.0KHz
        v: height  480 start  483 end  486 total  525           clock   66.7Hz
  640x480 (0x68)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   60.0Hz
  720x400 (0x69)   28.3MHz -HSync +VSync
        h: width   720 start  738 end  846 total  900 skew    0 clock   31.5KHz
        v: height  400 start  412 end  414 total  449           clock   70.1Hz
S-video disconnected (normal left inverted right x axis y axis)
        Identifier: 0x53
        Timestamp:  17179
        Subpixel:   no subpixels
        Clones:    
        CRTCs:      0 1
        Transform:  1.000000 0.000000 0.000000
                    0.000000 1.000000 0.000000
                    0.000000 0.000000 1.000000
                   filter: 
        tv standard:    ntsc
                supported: ntsc         pal          pal-m        pal-60      
                           ntsc-j       scart-pal    pal-cn       secam       
        load detection: 1 (0x00000001)  range:  (0,1)
Comment 15 Igor Strelnikoff 2011-05-09 01:59:30 UTC
<6>[    3.130551] [drm] Initialized drm 1.1.0 20060810
<6>[    3.177278] [drm] radeon defaulting to kernel modesetting.
<6>[    3.177282] [drm] radeon kernel modesetting enabled.
<7>[    3.177297] [drm:drm_init], 
<7>[    3.178026] checking generic (e0000000 1000000) vs hw (e0000000 8000000)
<3>[    3.178029] fb: conflicting fb hw usage radeondrmfb vs VESA VGA -
removing generic driver
<4>[    3.178056] Console: switching to colour dummy device 80x25
<7>[    3.178624] [drm:drm_get_pci_dev], 
<4>[    3.178748] ACPI: PCI Interrupt Link [APC5] enabled at IRQ 16
<6>[    3.178761] radeon 0000:01:00.0: PCI INT A -> Link[APC5] -> GSI 16
(level, low) -> IRQ 16
<7>[    3.180391] [drm:drm_get_minor], 
<7>[    3.180620] [drm:drm_get_minor], new minor assigned 64
<7>[    3.180623] [drm:drm_get_minor], 
<7>[    3.180711] [drm:drm_get_minor], new minor assigned 0
<6>[    3.180724] [drm] initializing kernel modesetting (R350 0x1002:0x4E48).
<6>[    3.180800] [drm] register mmio base: 0xF3000000
<6>[    3.180802] [drm] register mmio size: 65536
<7>[    3.181323] [drm:radeon_get_bios], COMBIOS detected
<6>[    3.181345] agpgart-amd64 0000:00:00.0: AGP 3.0 bridge
<6>[    3.181361] agpgart-amd64 0000:00:00.0: putting AGP V3 device into 8x
mode
<6>[    3.181387] radeon 0000:01:00.0: putting AGP V3 device into 8x mode
<6>[    3.181406] radeon 0000:01:00.0: GTT: 32M 0xF0000000 - 0xF1FFFFFF
<6>[    3.181411] [drm] Generation 1 PCI interface in multifunction mode
<6>[    3.181413] [drm] Limiting VRAM to one aperture
<6>[    3.181418] radeon 0000:01:00.0: VRAM: 128M 0x00000000E0000000 -
0x00000000E7FFFFFF (128M used)
<7>[    3.181427] [drm:drm_irq_install], irq=16
<6>[    3.181449] [drm] radeon: irq initialized.
<6>[    3.181559] [drm] Detected VRAM RAM=128M, BAR=128M
<6>[    3.181564] [drm] RAM width 256bits DDR
<6>[    3.181637] [TTM] Zone  kernel: Available graphics memory: 438570 kiB.
<6>[    3.181640] [TTM] Zone highmem: Available graphics memory: 506126 kiB.
<6>[    3.181642] [TTM] Initializing pool allocator.
<6>[    3.181662] [drm] radeon: 128M of VRAM memory ready
<6>[    3.181665] [drm] radeon: 32M of GTT memory ready.
<6>[    3.181700] [drm] radeon: 2 quad pipes, 1 Z pipes initialized.
<6>[    3.182643] radeon 0000:01:00.0: WB disabled
<7>[    3.182662] [drm:r100_cp_init_microcode], 
<6>[    3.184504] [drm] Loading R300 Microcode
<6>[    3.186440] [drm] radeon: ring at 0x00000000F0001000
<6>[    3.186463] [drm] ring test succeeded in 1 usecs
<6>[    3.186680] [drm] radeon: ib pool ready.
<6>[    3.186738] [drm] ib test succeeded in 0 usecs
<7>[    3.186878] [drm:drm_sysfs_connector_add], adding "VGA-1" to sysfs
<7>[    3.186907] [drm:drm_sysfs_hotplug_event], generating hotplug event
<7>[    3.186922] [drm:radeon_combios_get_tv_info], Default TV standard: NTSC
<7>[    3.186924] [drm:radeon_combios_get_tv_info], 27.000000000 MHz TV ref clk
<7>[    3.186928] [drm:radeon_legacy_get_tmds_info_from_combios], DFP table
revision: 4
<7>[    3.186931] [drm:radeon_legacy_get_tmds_info_from_combios], TMDS PLL From
COMBIOS 15500 b01cb
<7>[    3.186934] [drm:radeon_legacy_get_tmds_info_from_combios], TMDS PLL From
COMBIOS 20000 b01cb
<7>[    3.186937] [drm:radeon_legacy_get_tmds_info_from_combios], TMDS PLL From
COMBIOS 0 4e20000c
<7>[    3.186942] [drm:drm_sysfs_connector_add], adding "DVI-I-1" to sysfs
<7>[    3.186969] [drm:drm_sysfs_hotplug_event], generating hotplug event
<7>[    3.186980] [drm:radeon_combios_get_tv_info], Default TV standard: NTSC
<7>[    3.186983] [drm:radeon_combios_get_tv_info], 27.000000000 MHz TV ref clk
<7>[    3.186985] [drm:drm_sysfs_connector_add], adding "SVIDEO-1" to sysfs
<7>[    3.187032] [drm:drm_sysfs_hotplug_event], generating hotplug event
<6>[    3.187042] [drm] Radeon Display Connectors
<6>[    3.187044] [drm] Connector 0:
<6>[    3.187046] [drm]   VGA
<6>[    3.187048] [drm]   DDC: 0x60 0x60 0x60 0x60 0x60 0x60 0x60 0x60
<6>[    3.187050] [drm]   Encoders:
<6>[    3.187052] [drm]     CRT1: INTERNAL_DAC1
<6>[    3.187053] [drm] Connector 1:
<6>[    3.187055] [drm]   DVI-I
<6>[    3.187056] [drm]   HPD1
<6>[    3.187059] [drm]   DDC: 0x64 0x64 0x64 0x64 0x64 0x64 0x64 0x64
<6>[    3.187060] [drm]   Encoders:
<6>[    3.187062] [drm]     CRT2: INTERNAL_DAC2
<6>[    3.187064] [drm]     DFP1: INTERNAL_TMDS1
<6>[    3.187066] [drm] Connector 2:
<6>[    3.187067] [drm]   S-video
<6>[    3.187068] [drm]   Encoders:
<6>[    3.187070] [drm]     TV1: INTERNAL_DAC2
<7>[    3.254137] [drm:radeon_pm_print_states], 1 Power State(s)
<7>[    3.254143] [drm:radeon_pm_print_states], State 0: Default
<7>[    3.254146] [drm:radeon_pm_print_states],     Default
<7>[    3.254148] [drm:radeon_pm_print_states],     1 Clock Mode(s)
<7>[    3.254151] [drm:radeon_pm_print_states],         0 e: 378000    m:
338000    v: 0
<7>[    3.254161] [drm:radeon_legacy_primary_dac_dpms], 
<7>[    3.254164] [drm:radeon_legacy_tv_dac_dpms], 
<7>[    3.254170] [drm:radeon_legacy_tmds_int_dpms], 
<7>[    3.254174] [drm:drm_vblank_get], enabling vblank on crtc 0, ret: 0
<7>[    3.254178] [drm:drm_update_vblank_count], enabling vblank interrupts on
crtc 0, missed 153202
<7>[    3.254189] [drm:drm_vblank_get], enabling vblank on crtc 1, ret: 0
<7>[    3.254192] [drm:drm_update_vblank_count], enabling vblank interrupts on
crtc 1, missed 0
<7>[    3.254199] [drm:drm_helper_probe_single_connector_modes],
[CONNECTOR:13:VGA-1]
<7>[    3.258220] [drm:radeon_combios_connected_scratch_regs], CRT1
disconnected
<7>[    3.258223] [drm:drm_helper_probe_single_connector_modes],
[CONNECTOR:13:VGA-1] disconnected
<7>[    3.258227] [drm:drm_helper_probe_single_connector_modes],
[CONNECTOR:16:DVI-I-1]
<7>[    3.316137] [drm:radeon_combios_connected_scratch_regs], CRT2
disconnected
<7>[    3.316142] [drm:radeon_combios_connected_scratch_regs], DFP1 connected
<7>[    3.316184] [drm:drm_helper_probe_single_connector_modes],
[CONNECTOR:16:DVI-I-1] probed modes :
<7>[    3.316187] [drm:drm_mode_debug_printmodeline], Modeline 19:"1680x1050"
60 146250 1680 1960 2136 2240 1050 1053 1059 1089 0x48 0x6
<7>[    3.316193] [drm:drm_mode_debug_printmodeline], Modeline 25:"1400x1050"
60 121750 1400 1488 1632 1864 1050 1053 1057 1089 0x40 0x6
<7>[    3.316198] [drm:drm_mode_debug_printmodeline], Modeline 34:"1280x1024"
75 135000 1280 1296 1440 1688 1024 1025 1028 1066 0x40 0x5
<7>[    3.316204] [drm:drm_mode_debug_printmodeline], Modeline 22:"1280x1024"
60 108000 1280 1328 1440 1688 1024 1025 1028 1066 0x40 0x5
<7>[    3.316209] [drm:drm_mode_debug_printmodeline], Modeline 24:"1440x900" 60
106500 1440 1520 1672 1904 900 903 909 934 0x40 0x6
<7>[    3.316214] [drm:drm_mode_debug_printmodeline], Modeline 21:"1280x960" 60
108000 1280 1376 1488 1800 960 961 964 1000 0x40 0x5
<7>[    3.316220] [drm:drm_mode_debug_printmodeline], Modeline 23:"1360x768" 60
84750 1366 1431 1567 1776 768 771 781 798 0x0 0x6
<7>[    3.316225] [drm:drm_mode_debug_printmodeline], Modeline 41:"1152x864" 75
108000 1152 1216 1344 1600 864 865 868 900 0x40 0x5
<7>[    3.316230] [drm:drm_mode_debug_printmodeline], Modeline 20:"1280x720" 60
74440 1280 1336 1472 1664 720 721 724 746 0x0 0x6
<7>[    3.316236] [drm:drm_mode_debug_printmodeline], Modeline 35:"1024x768" 75
78800 1024 1040 1136 1312 768 769 772 800 0x40 0x5
<7>[    3.316241] [drm:drm_mode_debug_printmodeline], Modeline 36:"1024x768" 70
75000 1024 1048 1184 1328 768 771 777 806 0x40 0xa
<7>[    3.316246] [drm:drm_mode_debug_printmodeline], Modeline 37:"1024x768" 60
65000 1024 1048 1184 1344 768 771 777 806 0x40 0xa
<7>[    3.316251] [drm:drm_mode_debug_printmodeline], Modeline 38:"832x624" 75
57284 832 864 928 1152 624 625 628 667 0x40 0xa
<7>[    3.316257] [drm:drm_mode_debug_printmodeline], Modeline 40:"800x600" 72
50000 800 856 976 1040 600 637 643 666 0x40 0x5
<7>[    3.316262] [drm:drm_mode_debug_printmodeline], Modeline 39:"800x600" 75
49500 800 816 896 1056 600 601 604 625 0x40 0x5
<7>[    3.316267] [drm:drm_mode_debug_printmodeline], Modeline 27:"800x600" 60
40000 800 840 968 1056 600 601 605 628 0x40 0x5
<7>[    3.316272] [drm:drm_mode_debug_printmodeline], Modeline 28:"800x600" 56
36000 800 824 896 1024 600 601 603 625 0x40 0x5
<7>[    3.316277] [drm:drm_mode_debug_printmodeline], Modeline 30:"640x480" 73
31500 640 664 704 832 480 489 491 520 0x40 0xa
<7>[    3.316282] [drm:drm_mode_debug_printmodeline], Modeline 29:"640x480" 75
31500 640 656 720 840 480 481 484 500 0x40 0xa
<7>[    3.316288] [drm:drm_mode_debug_printmodeline], Modeline 31:"640x480" 67
30240 640 704 768 864 480 483 486 525 0x40 0xa
<7>[    3.316293] [drm:drm_mode_debug_printmodeline], Modeline 32:"640x480" 60
25200 640 656 752 800 480 490 492 525 0x40 0xa
<7>[    3.316298] [drm:drm_mode_debug_printmodeline], Modeline 33:"720x400" 70
28320 720 738 846 900 400 412 414 449 0x40 0x6
<7>[    3.316304] [drm:drm_helper_probe_single_connector_modes],
[CONNECTOR:17:SVIDEO-1]
<7>[    3.326317] [drm:radeon_combios_connected_scratch_regs], TV1 disconnected
<7>[    3.326320] [drm:drm_helper_probe_single_connector_modes],
[CONNECTOR:17:SVIDEO-1] disconnected
<7>[    3.326324] [drm:drm_setup_crtcs], 
<7>[    3.326327] [drm:drm_enable_connectors], connector 13 enabled? no
<7>[    3.326329] [drm:drm_enable_connectors], connector 16 enabled? yes
<7>[    3.326332] [drm:drm_enable_connectors], connector 17 enabled? no
<7>[    3.326335] [drm:drm_target_preferred], looking for cmdline mode on
connector 16
<7>[    3.326338] [drm:drm_target_preferred], looking for preferred mode on
connector 16
<7>[    3.326341] [drm:drm_target_preferred], found mode 1680x1050
<7>[    3.326343] [drm:drm_setup_crtcs], picking CRTCs for 4096x4096 config
<7>[    3.326347] [drm:drm_setup_crtcs], desired mode 1680x1050 set on crtc 10
<6>[    3.357877] [drm] fb mappable at 0xE0040000
<6>[    3.357879] [drm] vram apper at 0xE0000000
<6>[    3.357880] [drm] size 7057408
<6>[    3.357882] [drm] fb depth is 24
<6>[    3.357883] [drm]    pitch is 6720
<7>[    3.358400] [drm:drm_crtc_helper_set_config], 
<7>[    3.358403] [drm:drm_crtc_helper_set_config], [CRTC:10] [FB:42]
#connectors=1 (x y) (0 0)
<7>[    3.358411] [drm:drm_crtc_helper_set_config], crtc has no fb, full mode
set
<7>[    3.358414] [drm:drm_crtc_helper_set_config], modes are different, full
mode set
<7>[    3.358416] [drm:drm_mode_debug_printmodeline], Modeline 0:"" 0 0 0 0 0 0
0 0 0 0 0x0 0x0
<7>[    3.358421] [drm:drm_mode_debug_printmodeline], Modeline 26:"1680x1050"
60 146250 1680 1960 2136 2240 1050 1053 1059 1089 0x48 0x6
<7>[    3.358426] [drm:drm_crtc_helper_set_config], encoder changed, full mode
switch
<7>[    3.358429] [drm:drm_crtc_helper_set_config], crtc changed, full mode
switch
<7>[    3.358432] [drm:drm_crtc_helper_set_config], [CONNECTOR:16:DVI-I-1] to
[CRTC:10]
<7>[    3.358434] [drm:drm_crtc_helper_set_config], attempting to set mode from
userspace
<7>[    3.358436] [drm:drm_mode_debug_printmodeline], Modeline 26:"1680x1050"
60 146250 1680 1960 2136 2240 1050 1053 1059 1089 0x48 0x6
<7>[    3.358444] [drm:radeon_encoder_set_active_device], setting active device
to 00000008 from 00000008 00000018 for encoder 2
<7>[    3.358449] [drm:drm_crtc_helper_set_mode], [CRTC:10]
<7>[    3.358453] [drm:radeon_legacy_tmds_int_dpms], 
<7>[    3.358458] [drm:radeon_legacy_primary_dac_dpms], 
<7>[    3.358461] [drm:radeon_legacy_tv_dac_dpms], 
<7>[    3.358469] [drm:radeon_crtc_do_set_base], 
<7>[    3.358481] [drm:r100_bandwidth_update], GRPH_BUFFER_CNTL from to
20007c6c
<7>[    3.358484] [drm:radeon_set_crtc_timing], 
<7>[    3.358488] [drm:radeon_set_pll], 
<7>[    3.358490] [drm:radeon_compute_pll_legacy], PLL freq 146250 2 1023
<7>[    3.358781] [drm:radeon_compute_pll_legacy], 146250000 0, pll dividers -
fb: 146250.65 ref: 0, post 6
<7>[    3.358785] [drm:radeon_set_pll], dc=14625, fd=65, rd=6, pd=2
<7>[    3.358797] [drm:radeon_set_pll], Wrote: 0x00000006 0x00010041 0x00000000
(0x0000a400)
<7>[    3.358801] [drm:radeon_set_pll], Wrote: rd=6, fd=65, pd=1
<7>[    3.408835] [drm:drm_crtc_helper_set_mode], [ENCODER:15:TMDS-15] set
[MODE:26:1680x1050]
<7>[    3.408838] [drm:radeon_legacy_tmds_int_mode_set], 
<7>[    3.408865] [drm:radeon_legacy_tmds_int_dpms], 
<7>[    3.408870] [drm:drm_crtc_helper_set_config], Setting connector DPMS
state to on
<7>[    3.408873] [drm:drm_crtc_helper_set_config],     [CONNECTOR:16:DVI-I-1]
set DPMS on
<7>[    3.408884] [drm:radeon_legacy_primary_dac_dpms], 
<7>[    3.408887] [drm:radeon_legacy_tv_dac_dpms], 
<7>[    3.408894] [drm:drm_crtc_helper_set_config], 
<7>[    3.408895] [drm:drm_crtc_helper_set_config], [CRTC:11] [FB:42]
#connectors=0 (x y) (0 0)
<7>[    3.408903] [drm:drm_crtc_helper_set_config], crtc has no fb, full mode
set
<7>[    3.408905] [drm:drm_crtc_helper_set_config], [CONNECTOR:16:DVI-I-1] to
[CRTC:10]
<7>[    3.408910] [drm:radeon_legacy_primary_dac_dpms], 
<7>[    3.408913] [drm:radeon_legacy_tv_dac_dpms], 
<7>[    3.408921] [drm:drm_crtc_helper_set_config], 
<7>[    3.408923] [drm:drm_crtc_helper_set_config], [CRTC:10] [FB:42]
#connectors=1 (x y) (0 0)
<7>[    3.408930] [drm:drm_crtc_helper_set_config], [CONNECTOR:16:DVI-I-1] to
[CRTC:10]
<7>[    3.408933] [drm:drm_crtc_helper_set_config], 
<7>[    3.408935] [drm:drm_crtc_helper_set_config], [CRTC:11] [FB:42]
#connectors=0 (x y) (0 0)
<7>[    3.408940] [drm:drm_crtc_helper_set_config], crtc has no fb, full mode
set
<7>[    3.408943] [drm:drm_crtc_helper_set_config], [CONNECTOR:16:DVI-I-1] to
[CRTC:10]
<7>[    3.408948] [drm:radeon_legacy_primary_dac_dpms], 
<7>[    3.408950] [drm:radeon_legacy_tv_dac_dpms], 
<7>[    3.408956] [drm:drm_crtc_helper_set_config], 
<7>[    3.408957] [drm:drm_crtc_helper_set_config], [CRTC:10] [FB:42]
#connectors=1 (x y) (0 0)
<7>[    3.408964] [drm:drm_crtc_helper_set_config], [CONNECTOR:16:DVI-I-1] to
[CRTC:10]
<7>[    3.549509] [drm:drm_crtc_helper_set_config], 
<7>[    3.549514] [drm:drm_crtc_helper_set_config], [CRTC:10] [FB:42]
#connectors=1 (x y) (0 0)
<7>[    3.549529] [drm:drm_crtc_helper_set_config], [CONNECTOR:16:DVI-I-1] to
[CRTC:10]
<7>[    3.549533] [drm:drm_crtc_helper_set_config], 
<7>[    3.549535] [drm:drm_crtc_helper_set_config], [CRTC:11] [FB:42]
#connectors=0 (x y) (0 0)
<7>[    3.549540] [drm:drm_crtc_helper_set_config], crtc has no fb, full mode
set
<7>[    3.549542] [drm:drm_crtc_helper_set_config], [CONNECTOR:16:DVI-I-1] to
[CRTC:10]
<7>[    3.549548] [drm:radeon_legacy_primary_dac_dpms], 
<7>[    3.549551] [drm:radeon_legacy_tv_dac_dpms], 
<7>[    3.549559] [drm:drm_crtc_helper_set_config], 
<7>[    3.549560] [drm:drm_crtc_helper_set_config], [CRTC:10] [FB:42]
#connectors=1 (x y) (0 0)
<7>[    3.549567] [drm:drm_crtc_helper_set_config], [CONNECTOR:16:DVI-I-1] to
[CRTC:10]
<7>[    3.679508] [drm:drm_crtc_helper_set_config], 
<7>[    3.679513] [drm:drm_crtc_helper_set_config], [CRTC:10] [FB:42]
#connectors=1 (x y) (0 0)
<7>[    3.679527] [drm:drm_crtc_helper_set_config], [CONNECTOR:16:DVI-I-1] to
[CRTC:10]
<7>[    3.679671] [drm:drm_crtc_helper_set_config], 
<7>[    3.679673] [drm:drm_crtc_helper_set_config], [CRTC:10] [FB:42]
#connectors=1 (x y) (0 0)
<7>[    3.679679] [drm:drm_crtc_helper_set_config], [CONNECTOR:16:DVI-I-1] to
[CRTC:10]
<4>[    3.679771] Console: switching to colour frame buffer device 206x61
<7>[    3.815577] [drm:drm_crtc_helper_set_config], 
<7>[    3.815587] [drm:drm_crtc_helper_set_config], [CRTC:10] [FB:42]
#connectors=1 (x y) (0 0)
<7>[    3.815602] [drm:drm_crtc_helper_set_config], [CONNECTOR:16:DVI-I-1] to
[CRTC:10]
<6>[    3.815717] fb0: radeondrmfb frame buffer device
<6>[    3.815719] drm: registered panic notifier
<6>[    3.815727] [drm] Initialized radeon 2.7.0 20080528 for 0000:01:00.0 on
minor 0
Comment 16 Igor Strelnikoff 2011-05-09 02:27:06 UTC
Should I expect to fix this bug? I think this regression
Comment 17 Igor Strelnikoff 2011-05-09 02:29:17 UTC
[   23.745086] [drm:radeon_dvi_detect] *ERROR* DVI-I-1: probed a monitor but
no|invalid EDID
[   24.438301] start_kdeinit (2339): /proc/2339/oom_adj is deprecated, please
use /proc/2339/oom_score_adj instead.
[   30.772338] ata3.00: configured for UDMA/133
[   30.772344] ata3: EH complete
[   31.570015] eth0: no IPv6 routers present
[   31.885279] EXT4-fs (sda2): re-mounted. Opts: acl,user_xattr,commit=0
[   31.979079] [drm:radeon_dvi_detect] *ERROR* DVI-I-1: probed a monitor but
no|invalid EDID
[   32.044963] [drm:radeon_dvi_detect] *ERROR* DVI-I-1: probed a monitor but
no|invalid EDID
[   32.140389] EXT4-fs (sda3): re-mounted. Opts: commit=0
[   43.879049] i2c i2c-0: readbytes: ack/nak timeout
[   43.879122] [drm:radeon_dvi_detect] *ERROR* DVI-I-1: probed a monitor but
no|invalid EDID
[   52.805480] bootsplash: status on console 0 changed to on
[  209.310829] fuse init (API version 7.15)
[  401.118127] [drm:radeon_dvi_detect] *ERROR* DVI-I-1: probed a monitor but
no|invalid EDID

Kernel 2.6.37.6 i586
Comment 18 Kai-Uwe Behrmann 2011-11-02 14:27:16 UTC
Is this duplicate?
https://bugs.freedesktop.org/show_bug.cgi?id=32343


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.